/****************************************************************************
** gmio
** Copyright Fougue (24 Jun. 2016)
** contact@fougue.pro
**
** This software is a reusable library whose purpose is to provide complete
** I/O support for various CAD file formats (eg. STL)
**
** This software is governed by the CeCILL-B license under French law and
** abiding by the rules of distribution of free software.  You can  use,
** modify and/ or redistribute the software under the terms of the CeCILL-B
** license as circulated by CEA, CNRS and INRIA at the following URL
** "http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html".
****************************************************************************/

/* Generated by CMake */

#ifndef GMIO_CONFIG_H_CMAKE
#define GMIO_CONFIG_H_CMAKE

/* Build type */
#cmakedefine GMIO_DEBUG_BUILD

/* Size(in bytes) of integer types */
#cmakedefine GMIO_SIZEOF_SHORT @GMIO_SIZEOF_SHORT@
#cmakedefine GMIO_SIZEOF_INT   @GMIO_SIZEOF_INT@
#cmakedefine GMIO_SIZEOF_LONG  @GMIO_SIZEOF_LONG@

/* 64b integer type */
#cmakedefine GMIO_HAVE_INT64_T
#cmakedefine GMIO_HAVE_MSVC_INT64
#cmakedefine GMIO_HAVE_LONG_LONG

/* C99 */
#ifndef GMIO_HAVE_STDINT_H
#cmakedefine GMIO_HAVE_STDINT_H
#endif

#ifndef GMIO_HAVE_STDBOOL_H
#cmakedefine GMIO_HAVE_STDBOOL_H
#endif

#cmakedefine GMIO_HAVE_STRTOF_FUNC
#cmakedefine GMIO_HAVE_POWF_FUNC
#cmakedefine GMIO_HAVE_SNPRINTF_FUNC
#cmakedefine GMIO_HAVE_WIN__SNPRINTF_FUNC
#cmakedefine GMIO_HAVE_VSNPRINTF_FUNC
#cmakedefine GMIO_HAVE_WIN__VSNPRINTF_FUNC

#cmakedefine GMIO_HAVE_ISFINITE_MACRO
#cmakedefine GMIO_HAVE_ISNAN_MACRO

/* POSIX */
#cmakedefine GMIO_HAVE_SYS_TYPES_H
#cmakedefine GMIO_HAVE_SYS_STAT_H
#cmakedefine GMIO_HAVE_POSIX_FILENO_FUNC
#cmakedefine GMIO_HAVE_POSIX_FSTAT64_FUNC
#cmakedefine GMIO_HAVE_WIN__FSTAT64_FUNC

/* Compiler byte-swap functions */
#cmakedefine GMIO_HAVE_GCC_BUILTIN_BSWAP16_FUNC
#cmakedefine GMIO_HAVE_GCC_BUILTIN_BSWAP32_FUNC

#cmakedefine GMIO_HAVE_MSVC_BUILTIN_BSWAP_FUNC

/* Target architecture */
#cmakedefine GMIO_HOST_IS_BIG_ENDIAN

#if defined(__APPLE__)
#  if defined(__i386__) || defined(__ppc__)
#    define GMIO_TARGET_ARCH_BIT_SIZE  32
#  elif defined(__x86_64__) || defined(__ppc64__)
#    define GMIO_TARGET_ARCH_BIT_SIZE  64
#  else
#    error "Unknown architecture!"
#  endif
#else
#  define GMIO_TARGET_ARCH_BIT_SIZE  @GMIO_TARGET_ARCH_BIT_SIZE@
#endif

/* Select the string-to-float library to be used */
#define GMIO_STR2FLOAT_LIB_STD 0
#define GMIO_STR2FLOAT_LIB_IRRLICHT 1
#define GMIO_STR2FLOAT_LIB_DOUBLE_CONVERSION 2
#define GMIO_STR2FLOAT_LIB @GMIO_STR2FLOAT_LIBCODE@

/* Select the float-to-string library to be used */
#define GMIO_FLOAT2STR_LIB_STD 0
#define GMIO_FLOAT2STR_LIB_DOUBLE_CONVERSION 2
#define GMIO_FLOAT2STR_LIB @GMIO_FLOAT2STR_LIBCODE@

/* Header: gmio_core/internal/string_ascii_utils.h */
/*#define GMIO_STRING_ASCII_UTILS_CTYPE_H*/

#endif /* GMIO_CONFIG_H_CMAKE */
